Package: grails.databinding

## [Java] Annotation Type BindingFormat

- grails.databinding.BindingFormat

-     @java.lang.annotation.Retention(RetentionPolicy.RUNTIME)
      @java.lang.annotation.Target(ElementType.FIELD)
      @org.codehaus.groovy.transform.GroovyASTTransformationClass("org.grails.databinding.compiler.BindingFormatASTTransformation")
      public @interface BindingFormat

  Apply BindingFormat to a field to provide a format to be used when binding a String to this field.

      class DateContainer {
          @BindingFormat('MMddyyyy')
          Date someDate
      }

  Authors:
    Jeff Brown
  Since:
    2.3

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `java.lang.String` | `code` Default: ""
    `java.lang.String` | `value` Default: ""

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Element Detail

    - #### public java.lang.String code

      Default:
        ""

    - #### public java.lang.String value

      Default:
        ""